---
Title: Publication procedures
Author: Kay, Jutts
Topics:
    - data/software releases
    - publication procedures
---

## Establishing the Open Science Committee

## Software publication

### Software quality standards

Core requirements (Code)
Storage: git  / CI/CD -> SFTP 
Installation: Containers
Documentation: wiki -> link to code documentation  in git (doxygen or similar: reference guide/API, Getting started & Concepts) 
Change procedure: git workflow
Coding standards:
C++ Style Guide / ROOT,
Python Style Guide PEP-8
Java Style Guide
Julia? Fortran?

Recommendations
Tutorial: Getting started / Guides / Concepts / API
Examples
Installation guide



### Publication procedures


#### Roles - who is what?
Author: substantial contribution / idea
Maintainer: responding on issues
Copyright holders: KM3NeT (author list, DOI)
Contributors
WG Coordinator
Referees: nominated by PC and/or OSC
Last step -> actor should be maintainer, author, contributor
Add collaborative feedback as new step
Relating to
OSC: software & data “experts”
PC

### Stages


#### Definition of roles, software candidates and (specific) standards

#### Internal development to meet standards (after pre-review)

#### Reviewing process

#### Publication
Certified by KM3NeT:
License of KM3NeT
Software repository choice


#### Maintenance

### Implementation

Setting up procedures and standards (Who/what?)
* Update of the note, circulation through collaboration
  * Proposal on OSC to IB (from ECAP)
  * Transition procedures

Current candidates
* Without full reviewing process
* Interim referees: 
  * Unused: either two referees (extensive)
  * Published results: one referee (shortened)
* Improve to meet standards

Software published, but not reviewed
(Software used, but not published) -> encourage publication


## Data publication

### Data quality standards

### Publication procedures
